Bug 2183904 - Chinese characters rendering overlaps when no printer configured
Summary: Chinese characters rendering overlaps when no printer configured
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: libreoffice-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-04-03 03:41 UTC by Peng Wu
Modified: 2024-05-13 08:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-13 08:35:35 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
The LibreOffice Writer document for testing (9.06 KB, application/vnd.oasis.opendocument.text)
2023-04-03 03:41 UTC, Peng Wu
no flags Details
The PDF file with no printer configured (14.08 KB, application/pdf)
2023-04-03 03:52 UTC, Peng Wu
no flags Details
The PDF file with some printer configured (13.92 KB, application/pdf)
2023-04-03 03:57 UTC, Peng Wu
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Document Foundation 155161 0 None None None 2023-05-09 07:36:04 UTC
Document Foundation 156151 0 None None None 2023-07-04 04:16:35 UTC

Description Peng Wu 2023-04-03 03:41:33 UTC
Created attachment 1955387 [details]
The LibreOffice Writer document for testing

Description of problem:

When no printer configured in Fedora Workstation, Choose "Print to File...".
The PDF file shows Chinese characters overlapping.

Version-Release number of selected component (if applicable):
libreoffice-writer-7.5.1.2-4.fc38.x86_64

How reproducible:

Open the LibreOffice Writer document without printer configured in Fedora Workstation.
Click "Print..." menu item, choose "Print to File...", then save the PDF.

Steps to Reproduce:
1. Open the LibreOffice Writer document in the attachment
2. Click "Print..." menu item, choose "Print to File...", then save the PDF.
3. Open the PDF file with evince

Actual results:
The Chinese characters overlap in the PDF file.

Expected results:
The Chinese characters should not overlap in the PDF file.

Additional info:
After configure the printer with cups-browsed.conf and start cups-browsed.service, the PDF file seems improved.

Comment 1 Peng Wu 2023-04-03 03:52:01 UTC
Created attachment 1955388 [details]
The PDF file with no printer configured

Comment 2 Peng Wu 2023-04-03 03:57:52 UTC
Created attachment 1955389 [details]
The PDF file with some printer configured

Comment 3 Caolan McNamara 2023-04-03 08:49:10 UTC
If I remove all my printers I don't reproduce yet.

Does it make any difference to run with

export SAL_DISABLE_CUPS=1

?

Comment 4 Jens Petersen 2023-04-03 10:25:06 UTC
I can reproduce in F38 Live WS (eg Fedora-Workstation-Live-x86_64-38-20230402.n.0.iso)

eg with the text: 朝昼晩夜

and then print to pdf and I see badly overlapping characters like in comment 1.

Comment 5 Peng Wu 2023-04-03 10:47:15 UTC
Yes, with SAL_DISABLE_CUPS=1, I can reproduce this issue with some printer configured.

Comment 6 Aoife Moloney 2024-05-07 16:04:09 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 7 Peng Wu 2024-05-13 08:35:35 UTC
I think there are some fixes in LibreOffice upstream.


Note You need to log in before you can comment on or make changes to this bug.